Package com.mckoi.database

## Interface RootTable

All Known Implementing Classes:
  `AbstractDataTable`, `CompositeTable`, `DataTable`, `DataTableFilter`, `DefaultDataTable`, `FunctionTable`, `ReferenceTable`, `SubsetColumnTable`, `TemporaryTable`

    public interface RootTable

Interface that is implemented by all Root tables. A Root table is a non- virtual table that represents table data in its lowest form. When the Table.resolveToRawTable method is called, if it encounters a table that implements RootTable then it does not attempt to decend further to extract the underlying tables.

This interface is used for unions.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `typeEquals​(RootTable table)` This is function is used to check that two root tables are identical.

### Method Detail

#### typeEquals

    boolean typeEquals​(RootTable table)

This is function is used to check that two root tables are identical. This is used if we need to chect that the form of the table is the same. Such as in a union operation, when we can only union two tables with the identical columns.